## sayonara 1.8.0-beta1

=== debian/changelog ===
sayonara (1.8.0-beta1-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:57:34 +1100

sayonara (1.8.0-beta1-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:03:05 +0000

sayonara (1.8.0-beta1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:54:02 +0000

sayonara (1.8.0-beta1-1) unstable; urgency=medium

  * New upstream version.
  * debian/upstream/metadata: Set Bug-Submit and Repository.
  * debian/control: Use secure URI and update Standards-Version.
  * debian/patches: Remove patch, fixed in upstream.

 -- Steve Meliza <swm@swm1.com>  Thu, 25 Aug 2022 09:11:22 -0700
