## sayonara 1.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,24 @@
 option(WITH_TESTS "Building with tests" OFF)
 option(WITH_COTIRE "Building with cotire PCH and compile time optimizations" OFF)
 option(LINK_GSTREAMER_PLUGINS "Link the most common GStreamer plugins into the binary. Used for the creation of AppImage files")
-option(WITH_CCACHE "Use CCache if available" OFF)
 option(DISABLE_NATIVE_DIR_DIALOGS "Disable native directory dialogs (problem for snap and flatpak)" OFF)
+option(GIT_REVISION "Add some git revision to the version string")
+
+include(cmake/Compiler.cmake)
+include(cmake/Packages.cmake)
+
+if(LINK_GSTREAMER_PLUGINS)
+	include(cmake/GStreamer.cmake)
+endif()
+
+if(WITH_COTIRE)
+	include(cmake/Cotire.cmake)
+	message("Compiling with Cotire")
+	add_definitions(-D__STRICT_ANSI__)
+else()
+	message("Compiling without Cotire")
+endif()
+
 
 get_property(HAS_64_SUFFIX GLOBAL PROPERTY FIND_LIBRARY_USE_LIB64_PATHS)
 if(HAS_64_SUFFIX)
@@ -17,7 +33,12 @@
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}")
 
-set(SAYONARA_VERSION "1.8.0-beta1")
+set(SAYONARA_VERSION "1.9.0-stable1")
+set(SAYONARA_REVISION ${GIT_REVISION})
+set(SAYONARA_FULL_VERSION ${SAYONARA_VERSION})
+if (SAYONARA_REVISION)
+	set(SAYONARA_FULL_VERSION "${SAYONARA_VERSION}-g${SAYONARA_REVISION}")
+endif()
 set(SAYONARA_INSTALL_PATH "${CMAKE_INSTALL_PREFIX}")
 set(SAYONARA_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")
 set(SAYONARA_INSTALL_BIN_PATH "${CMAKE_INSTALL_PREFIX}/bin/")
