## sayonara 1.9.0-stable1

=== debian/changelog ===
sayonara (1.9.0-stable1-0.1~mx21+1) mx; urgency=medium

  * New upstream version.
  * Update debian/copyright to current year.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 29 Jan 2024 13:58:31 -0800

sayonara (1.8.0-beta1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Sat, 05 Nov 2022 16:26:16 -0400

sayonara (1.7.0-stable3-0.2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 25 Aug 2021 17:59:56 -0400
