=== test/CMakeLists.txt ===
--- 
+++ 
@@ -39,21 +39,29 @@
 new_test(AudioConverter/AudioConverterTest.cpp)
 new_test(Bookmarks/BookmarkStorageTest.cpp)
 new_test(Common/FileSystemMockTest.cpp)
+new_test(Common/LibraryDatabaseProviderTest.cpp)
+new_test(Covers/AudioscrobblerTest.cpp)
 new_test(Covers/CoverFetchManagerTest.cpp)
 new_test(Covers/CoverLocationTest.cpp)
 new_test(Database/AlbumTest.cpp)
 new_test(Database/ArtistTest.cpp)
 new_test(Database/BasicQueryTest.cpp)
+new_test(Database/FixesTest.cpp)
 new_test(Database/LibraryDatabaseTest.cpp)
 new_test(Database/PlaylistDatabaseTest.cpp)
 new_test(Database/PodcastTest.cpp)
 new_test(Database/TracksTest.cpp Common/TestTracks.cpp)
+new_test(Directories/DirectorySelectionHandlerTest.cpp)
 new_test(DynamicPlayback/ArtistMatchTest.cpp)
+new_test(DynamicPlayback/DynamicPlaybackHandlerTest.cpp)
+new_test(DynamicPlayback/LfmSimilarArtistFetcherTest.cpp)
+new_test(DynamicPlayback/LfmSimilarArtistParserTest.cpp)
 new_test(Engine/BroadcastTest.cpp)
 new_test(Engine/CallbackTest.cpp)
 new_test(Engine/EngineUtilsTest.cpp)
 new_test(Equalizer/EqualizerTest.cpp)
 new_test(History/HistoryTest.cpp Common/TestTracks.cpp)
+new_test(LastFm/ScrobbleTest.cpp)
 new_test(Library/CacheThreadTest.cpp)
 new_test(Library/CopyThreadTest.cpp)
 new_test(Library/GenreFetcherTest.cpp)
@@ -65,12 +73,15 @@
 new_test(Library/ReloadThreadTest.cpp Common/TestTracks.cpp)
 new_test(LibraryManagement/LibraryPluginHandlerTest.cpp)
 new_test(Lyrics/LyricsLogicTest.cpp)
+new_test(Lyrics/LyricsServerProviderTest.cpp)
 new_test(PlayManager/PlayManagerTest.cpp)
+new_test(Playlist/LibraryPlaylistInteractorTest.cpp)
 new_test(Playlist/LocalPathPlaylistCreatorTest.cpp Playlist/PlaylistTestUtils.cpp Common/TestTracks.cpp)
 new_test(Playlist/LocalPathProcessorTest.cpp Playlist/PlaylistTestUtils.cpp Common/TestTracks.cpp)
 new_test(Playlist/PlaylistDbInterfaceTest.cpp Common/TestTracks.cpp)
 new_test(Playlist/PlaylistFileTest.cpp Playlist/PlaylistTestUtils.cpp Common/TestTracks.cpp)
 new_test(Playlist/PlaylistHandlerTest.cpp Common/TestTracks.cpp)
+new_test(Playlist/PlaylistLoaderTest.cpp)
 new_test(Playlist/PlaylistShuffleTest.cpp Playlist/PlaylistTestUtils.cpp Common/TestTracks.cpp)
 new_test(Playlist/PlaylistTest.cpp Playlist/PlaylistTestUtils.cpp Common/TestTracks.cpp)
 new_test(Playlist/PlaylistTrackModifyTest.cpp Playlist/PlaylistTestUtils.cpp Common/TestTracks.cpp)
@@ -104,6 +115,7 @@
 new_test(Util/LanguageKeyTest.cpp)
 new_test(Util/LanguageUtilTest.cpp)
 new_test(Util/LibraryFilterTest.cpp)
+new_test(Util/M3UParserTest.cpp)
 new_test(Util/MetaDataListTest.cpp)
 new_test(Util/MetaDataSortingTest.cpp)
 new_test(Util/MetaDataTest.cpp)
