## sayonara 1.10.0-stable1

=== debian/changelog ===
sayonara (1.10.0-stable1-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against taglib 2.x.
  * debian/control: Update libtag1-dev => libtag-dev from taglib 2.x.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jan 2025 19:15:18 -0500

sayonara (1.10.0-stable1-2) unstable; urgency=medium

  * Fix mismatched types in call to std:max

 -- Steve Meliza <swm@swm1.com>  Tue, 13 Aug 2024 11:25:22 -0700

sayonara (1.10.0-stable1-1) unstable; urgency=medium

  * New upstream version. (Closes: #1069533)

 -- Steve Meliza <swm@swm1.com>  Sat, 10 Aug 2024 20:26:36 -0700
