=== debian/control ===
Source: sayonara
Section: sound
Priority: optional
Maintainer: kokoye2007 <kokoye2007@gmail.com>
Uploaders:
 Steve Meliza <swm@swm1.com>,
Rules-Requires-Root: no
Build-Depends:
 cmake (>= 3.8),
 debhelper-compat (= 13),
 dh-python,
 doxygen,
 libgstreamer-plugins-bad1.0-dev,
 libgstreamer-plugins-base1.0-dev,
 libgstreamer1.0-dev,
 libqt5svg5-dev,
 libtag-dev,
 libtagc0-dev,
 pkgconf,
 python3,
 qtbase5-dev (>= 5.6),
 qttools5-dev,
 qttools5-dev-tools,
 zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://sayonara-player.com
Vcs-Git: https://salsa.debian.org/debian/sayonara.git
Vcs-Browser: https://salsa.debian.org/debian/sayonara

Package: sayonara
Architecture: any
Depends: gstreamer1.0-plugins-bad,
		 gstreamer1.0-plugins-good,
         libqt5sql5-sqlite,
		 libqt5svg5,
         ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Suggests:
         python3-pydbus
Description: fast and powerful audio player and library manager
 Many supported music and playlist formats
 Media library with search function and tag editor
 Display directories, covers and/or meta data.
 Genre organization in tree
 Playlist view organized in tabs
 Smart and dynamic plsylists
 Lyrics
 Equalizer
 Customizable spectrum analyzer and level meter
 Audio converter
 Last.FM, Soma.fm and soundcloud support radio and scrobbling
 Internet streams, podcasts and record function
 Broadcasting
 Multimedia keys and Mpris 2 support
 Shutdown function
