## sayonara 1.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}")
 
-set(SAYONARA_VERSION "1.10.0-stable1")
+set(SAYONARA_VERSION "1.11.0-stable1")
 set(SAYONARA_REVISION ${GIT_REVISION})
 set(SAYONARA_FULL_VERSION ${SAYONARA_VERSION})
 if (SAYONARA_REVISION)
