=== test/CMakeLists.txt ===
--- 
+++ 
@@ -86,6 +86,7 @@
 new_test(Playlist/PlaylistTest.cpp Playlist/PlaylistTestUtils.cpp Common/TestTracks.cpp)
 new_test(Playlist/PlaylistTrackModifyTest.cpp Playlist/PlaylistTestUtils.cpp Common/TestTracks.cpp)
 new_test(Playlist/RepeatTest.cpp Playlist/PlaylistTestUtils.cpp Common/TestTracks.cpp)
+new_test(Playlist/StopBehaviorTest.cpp)
 new_test(Settings/SettingConverterTest.cpp)
 new_test(Settings/SettingsNotifierTest.cpp)
 new_test(SmartPlaylists/ConverterTest.cpp)
