## sayonara 1.11.0-beta1

=== debian/changelog ===
sayonara (1.11.0-beta1-1) unstable; urgency=medium

  * New upstream version.

 -- Steve Meliza <swm@swm1.com>  Fri, 28 Mar 2025 20:26:11 -0700

sayonara (1.10.0-stable1-4) unstable; urgency=medium

  * Team upload.
  * debian/control: Fix package description format. (Closes: #1080292)
  * debian/control: Use build-dep packages from taglib 2.x.

 -- Boyuan Yang <byang@debian.org>  Sun, 09 Feb 2025 13:26:33 -0500
