## sayonara 1.11.0-stable2

=== debian/changelog ===
sayonara (1.11.0-stable2-1) unstable; urgency=medium

  * New upstream version.
  * d/patches: Fix version string

 -- Steve Meliza <swm@swm1.com>  Sat, 13 Sep 2025 19:41:32 -0700
