=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,3 @@
 
 %:
 	dh $@ --with python3 --buildsystem=cmake
-
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
