=== debian/watch ===
version=4
opts="searchmode=plain" \
  https://gitlab.com/luciocarreras/sayonara-player/tags?sort=updated_desc -/archive/(\d\S+)/.*\.zip
